tosca_definitions_version: tosca_simple_yaml_1_3
node_types:
  tosca.nodes.nfv.testWithConstraintsAndPattern_1:
    derived_from: tosca.nodes.Root
    properties:
      string_prop_with_pattern:
        type: string
        constraints:
        - pattern: a*z